profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/deadbits/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
Adam M. Swanda deadbits @zeroharbor D.C. Metro Area https://www.deadbits.org Malware Research, Threat Intelligence, Python, Machine Learning.

deadbits/InsecureProgramming 234

mirror of gera's insecure programming examples | http://community.coresecurity.com/~gera/InsecureProgramming/

deadbits/Intersect-2.5 60

Post-Exploitation Framework

deadbits/Analyst-CaseFile 51

Maltego CaseFile entities for information security investigations, malware analysis and incident response

deadbits/arcreactor 33

open-source intelligence gathering for SIEMs <3

deadbits/eYARA 4

Scan inbound email messages with YARA rules and much more.

deadbits/awesome-osx 2

:memo: A curated list of awesome applications, softwares, tools and shiny things for OS X.

deadbits/awesome-threat-intelligence 2

A curated list of Awesome Threat Intelligence resources

deadbits/aleph 1

An Open Source Malware Analysis Pipeline System

deadbits/crits 1

CRITs - Collaborative Research Into Threats

issue commentmitre-attack/tram

tram fails loading on the taxii feeds

I am still hitting this same issue on the Description key and I'm a bit unclear on how to actually resolve this from this thread. Any help here would be great. Tram won't run at all past this point.

» python tram.py                                                                                                                                                           [11:47:25]
tram.py:22: DeprecationWarning: "@coroutine" decorator is deprecated since Python 3.8, use "async def" instead
  async def background_tasks(taxii_local='online', build=False, json_file=None):
tram.py:46: DeprecationWarning: "@coroutine" decorator is deprecated since Python 3.8, use "async def" instead
  async def init(host, port):
INFO:root:Welcome to TRAM
DEBUG:asyncio:Using selector: KqueueSelector
INFO:root:Downloading ATT&CK data from STIX/TAXII...
DEBUG:urllib3.connectionpool:Starting new HTTPS connection (1): cti-taxii.mitre.org:443
DEBUG:urllib3.connectionpool:https://cti-taxii.mitre.org:443 "GET /stix/collections/95ecc380-afe9-11e4-9b6c-751b66dd541e/ HTTP/1.1" 200 249
DEBUG:urllib3.connectionpool:https://cti-taxii.mitre.org:443 "GET /stix/collections/95ecc380-afe9-11e4-9b6c-751b66dd541e/objects/?match%5Btype%5D=attack-pattern HTTP/1.1" 200 2086477
DEBUG:urllib3.connectionpool:https://cti-taxii.mitre.org:443 "GET /stix/collections/95ecc380-afe9-11e4-9b6c-751b66dd541e/objects/?match%5Btype%5D=intrusion-set HTTP/1.1" 200 283775
DEBUG:urllib3.connectionpool:https://cti-taxii.mitre.org:443 "GET /stix/collections/95ecc380-afe9-11e4-9b6c-751b66dd541e/objects/?match%5Btype%5D=malware HTTP/1.1" 200 617134
DEBUG:urllib3.connectionpool:https://cti-taxii.mitre.org:443 "GET /stix/collections/95ecc380-afe9-11e4-9b6c-751b66dd541e/objects/?match%5Btype%5D=tool HTTP/1.1" 200 85278
DEBUG:urllib3.connectionpool:https://cti-taxii.mitre.org:443 "GET /stix/collections/95ecc380-afe9-11e4-9b6c-751b66dd541e/objects/?match%5Btype%5D=relationship HTTP/1.1" 200 10831710
CRITICAL:root:!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
COULD NOT CONNECT TO TAXII SERVERS: 'description'
PLEASE UTILIZE THE OFFLINE CAPABILITY FLAG "-FF" FOR OFFLINE DATABASE BUILDING
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ERROR:asyncio:Task exception was never retrieved
future: <Task finished name='Task-1' coro=<background_tasks() done, defined at tram.py:21> exception=SystemExit()>
Traceback (most recent call last):
  File "tram.py", line 34, in background_tasks
    await data_svc.insert_attack_stix_data()
  File "/Users/aswanda/Research/projects/intel-entity-extraction/tram/service/data_svc.py", line 54, in insert_attack_stix_data
    "description": i['description'].replace('<code>', '').replace('</code>', '').replace(
  File "/Users/aswanda/.pyenv/versions/3.8.2/lib/python3.8/site-packages/stix2/base.py", line 195, in __getitem__
    return self._inner[key]
KeyError: 'description'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/aswanda/.pyenv/versions/3.8.2/lib/python3.8/asyncio/base_events.py", line 603, in run_until_complete
    self.run_forever()
  File "/Users/aswanda/.pyenv/versions/3.8.2/lib/python3.8/asyncio/base_events.py", line 570, in run_forever
    self._run_once()
  File "/Users/aswanda/.pyenv/versions/3.8.2/lib/python3.8/asyncio/base_events.py", line 1859, in _run_once
    handle._run()
  File "/Users/aswanda/.pyenv/versions/3.8.2/lib/python3.8/asyncio/events.py", line 81, in _run
    self._context.run(self._callback, *self._args)
  File "tram.py", line 40, in background_tasks
    sys.exit()
SystemExit
bobsyourmom

comment created time in a month

fork deadbits/kestrel-lang

Kestrel Threat Hunting Language

fork in a month

startedMISP/misp-taxonomies

started time in a month

startedcogsec-collaborative/AMITT

started time in 2 months

startedSentinel-One/CobaltStrikeParser

started time in 2 months

started3c7/common-osint-model

started time in 2 months

startedhatching/triage

started time in 2 months

startedAzure/SimuLand

started time in 2 months

startedmicrosoft/CyberBattleSim

started time in 2 months

fork deadbits/tcex-snippets

Sublime Text snippets for writing scripts that use ThreatConnect's TCEX module.

fork in 2 months

startedcorumir/Practical-Tradecraft

started time in 2 months

startedpositive-security/send-my

started time in 2 months

startedsublime-security/sublime-rules

started time in 2 months

startedsublime-security/emailrep.io-python

started time in 2 months

startedpyston/pyston

started time in 3 months

startedseemoo-lab/openhaystack

started time in 3 months

startedpublic-apis/public-apis

started time in 3 months

startedevilsocket/opensnitch

started time in 3 months

startedchronicle/detection-rules

started time in 3 months